[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TCustomAnchoredDockManager.EnlargeControl

EnlargeControl - attempts to increase the size of the given control along the specified border, if necessary at the expense of neighbouring controls. If Simulate=true then it will only test if control can be enlarged.

## Declaration

Source position: ldocktree.pas line 249

`public function TCustomAnchoredDockManager.EnlargeControl(`
`Control: TControl;`
`Side: TAnchorKind;`
`Simulate: Boolean = false`
`):Boolean;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.